.header {
  padding: 20px 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1;
}

.header__content {
  display: flex;
  justify-content: flex-end;
}

.hamburger {
  cursor: pointer;
  height: 26px;
  position: relative;
  transform: rotate(0deg);
  transition: 0.5s ease-in-out;
  width: 35px;
  z-index: 2;

  div {
    border-radius: 5px;
    background-color: $c-red;
    height: 4px;
    left: 0;
    opacity: 1;
    position: absolute;
    transform: rotate(0deg);
    transition: 0.25s ease-in-out;
    width: 100%;

    &:nth-child(1) {
      top: 0;
    }

    &:nth-child(2),
    &:nth-child(3) {
      top: 11px;
    }

    &:nth-child(4) {
      top: 22px;
    }
  }

  &.open {
    div {
      &:nth-child(1) {
        left: 50%;
        top: 18px;
        width: 0%;
      }

      &:nth-child(2) {
        transform: rotate(45deg);
      }

      &:nth-child(3) {
        transform: rotate(-45deg);
      }

      &:nth-child(4) {
        left: 50%;
        top: 18px;
        width: 0%;
      }
    }
  }
}
